# Get account The account-id is retrieved by using the "Get accounts" call. Endpoint: GET /accounts/{id} Version: 1.0.0 Security: Api access ## Path parameters: - `id` (string, required) The id of the account. Example: "3dc3d5b3-7023-4848-9853-f5400a64e81f" ## Header parameters: - `PSU-IP-Address` (string) IP Address of the PSU, it should only be set if this request was actively initiated by the PSU. Most operations have request limits that apply when a user is not present. - `Consent-ID` (string) The consent id. Should be set unless a specific Subscription-Id is used. - `Channel-Type` (string) The banking channel. Enum: "unspecified", "openBanking", "psd2" - `Subscription-Id` (string) Id of the subscription to use. Only supported for Channel-Type openBanking. - `Resource-Group-Name` (string) Name of the resource group to use in the specified subscription. Only supported for Channel-Type openBanking - `Scopes` (array) Resource scopes to use, mutually exclusive with subscriptionId. - /: Use all resources available. - /subscriptions/7fdf00601dfb: Use all resources in subscription 7fdf00601dfb. - /subscriptions/7fdf00601dfb/resource-groups/my-company: Use all resources within subscription 7fdf00601dfb and resource-group my-company. Example: "/subscriptions/7fdf00601dfb/resource-groups/my-company" - `api-version` (string) ## Response 200 fields (application/json): - `id` (string) Id of the account Example: "67e98aeec65145888fefa7cb935c9197" - `iban` (null,string) IBAN (International Bank Account Number) of the account Example: "FR7612345987650123456789014" - `bban` (null,string) BBAN (Basic Bank Account Number) - ISO 20022 Example: "BARC12345612345678" - `other` (object) Generic account reference. - `other.identification` (string, required) Account identification. Example: "123-1234" - `other.schemeName` (string, required) Name of the identification scheme. Example: * BBAN: Basic Bank Account Number. * BGNR: Bankgirot number. * PGNR: PlusGirot number. * giro: Giro Denmark. Example: "BGNR" - `bic` (null,string) BICFI Example: "AAAADEBBXXX" - `currency` (null,string) ISO 4217 Alpha 3 currency code. Example: "NOK" - `name` (null,string) Name of the account Example: "Usage Account" - `displayName` (null,string) Name of the account for use within online channels. Example: "My usage account" - `status` (string) Enum: "enabled", "deleted", "blocked" - `ownerName` (null,string) Name of the legal account owner. Example: "Corporation AB" - `owner` (object) - `owner.name` (null,string) Account owner name Example: "Corporation AB" - `owner.role` (null,string) Role of the party in relation to the account. Example: "owner" - `owner.postalAddress` (object) Postal address of a party. - `owner.postalAddress.country` (null,string) Country of the postal address. Example: "NO" - `owner.organisationId` (null,string) Organisation identification. Example: "699317284" - `balances` (array) Account balances - `balances.balanceAmount` (object) Amount with currency - `balances.balanceAmount.currency` (null,string) The three-letter currency code of the amount - ISO 4217 Example: "NOK" - `balances.balanceAmount.amount` (null,string) The amount value. Negative amounts are signed by minus. The decimal separator is a dot. Example: * 0 * 154 * -1.75 * 349.7 * 3632.78 Example: "3632.78" - `balances.balanceType` (string) The type of balance Enum: "closingBooked", "openingBooked", "expected", "interimAvailable", "interimBooked", "forwardAvailable", "nonInvoiced" - `balances.referenceDate` (null,string) Indicates the date of the balance Example: "2020-01-01T13:00:00.999+00:00" - `balances.lastChangeDate` (null,string) This indicates if the balance has changed, an account balance may change during one day. Example: "2020-01-01T13:00:00.999+00:00" ## Response 401 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 403 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 404 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string)